Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jet.report.xls
Class StockInfo

    java.lang.Object
      jet.report.xls.ChartTypeInfo
          jet.report.xls.StockInfo

    public class StockInfo

extends ChartTypeInfo

Contains the information of stock chart type in the file. The class extends chartTypeInfo.

Field Summary
`static short` | `CIRCLE`
`static short` | `DEVIATION`
`static short` | `DIAMOND`
`static short` | `DOWJONES`
`static short` | `DROPLINE` Drop lines below the data points of line, area, and stock chart groups.
`static short` | `HILOLINE` High-Low lines around the data points of line and stock chart groups.
`static short` | `NONE`
`static short` | `PLUSSIGN`
`static short` | `SERIESLINE` Series lines connecting data points of stacked column and bar chart groups, and the primary pie to the secondary bar/pie of bar of pie and pie of pie chart groups.
`static short` | `SQUARE`
`static short` | `STAR`
`static short` | `TRIANGLE`
`static short` | `X`

Fields inherited from class jet.report.xls.ChartTypeInfo
`AREA, BAR, BAR_AREA, BAR_LINE, BOPPOP, COLUMN, CONE, CYLINDER, DROPBAR, LINE, LINE_LINE, PIE, PYRAMID, RADAR, SCATTER, SHOWBUBBLESIZE, SHOWLABEL, SHOWLABPER, SHOWNONE, SHOWPERCENT, SHOWVALUE, STOCK, SURFACE`

Constructor Summary
`StockInfo(short dataLabel, boolean is3D, Info3D info3D, short style)` Constructs class StockInfo and sets its fields appropriately.

Method Summary
`int` | `getChartType()` Gets the type of the chart.
`short` | `getMarkStyle()` Gets the style of line marks.
`short` | `getStyle()` Gets the style of the bar chart.
`boolean` | `hasShadow()` Gets whether this chart has a shadow or not.
`void` | `setMarkStyle(short markStyle)` Sets the style of line marks.
`void` | `setStyle(short style)` Sets the style of the bar chart.

Methods inherited from class jet.report.xls.ChartTypeInfo
`addSeries, getCatName, getCatNameRef, getDataLabel, getInfo3D, getIs3D, getSeries, getSeriesSize, insertSeries, removeSeries, replace, setCatName, setCatNameRef, setCatNameRef, setDataLabel, setInfo3D, setIs3D, setIsPercentDataLabel, setIsShowY2, setIsShowYAxis`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DROPLINE

    public static final short DROPLINE

  Drop lines below the data points of line, area, and stock chart groups.

  See Also:
    Constant Field Values

### HILOLINE

    public static final short HILOLINE

  High-Low lines around the data points of line and stock chart groups.

  See Also:
    Constant Field Values

### SERIESLINE

    public static final short SERIESLINE

  Series lines connecting data points of stacked column and bar chart groups, and the primary pie to the secondary bar/pie of bar of pie and pie of pie chart groups.

  See Also:
    Constant Field Values

### NONE

    public static final short NONE

See Also:
  `MarkerFormatInfo.NONE`, Constant Field Values

### SQUARE

    public static final short SQUARE

See Also:
  `MarkerFormatInfo.SQUARE`, Constant Field Values

### DIAMOND

    public static final short DIAMOND

See Also:
  `MarkerFormatInfo.DIAMOND`, Constant Field Values

### TRIANGLE

    public static final short TRIANGLE

See Also:
  `MarkerFormatInfo.TRIANGLE`, Constant Field Values

### X

    public static final short X

See Also:
  `MarkerFormatInfo.X`, Constant Field Values

### STAR

    public static final short STAR

See Also:
  `MarkerFormatInfo.STAR`, Constant Field Values

### DOWJONES

    public static final short DOWJONES

See Also:
  `MarkerFormatInfo.DOWJONES`, Constant Field Values

### DEVIATION

    public static final short DEVIATION

See Also:
  `MarkerFormatInfo.DEVIATION`, Constant Field Values

### CIRCLE

    public static final short CIRCLE

See Also:
  `MarkerFormatInfo.CIRCLE`, Constant Field Values

### PLUSSIGN

    public static final short PLUSSIGN

See Also:
  `MarkerFormatInfo.PLUSSIGN`, Constant Field Values

Constructor Detail

### StockInfo

    public StockInfo(short dataLabel,
                     boolean is3D,
                     Info3D info3D,
                     short style)

  Constructs class StockInfo and sets its fields appropriately.

  Parameters:
    `dataLabel` - type of the data label, `ChartTypeInfo.SHOWNONE` for none, `ChartTypeInfo.SHOWVALUE` for value, and `ChartTypeInfo.SHOWLABEL` for showing label.
    `is3D` - whether the chart is 3D chart or not
    `info3D` - the 3D chart info
    `style` - the type of line presented on the chart, can be either DROPLINE, HILOLINE or SERIESLINE
  See Also:
    `DROPLINE`, `HILOLINE`, `SERIESLINE`

Method Detail

### getChartType

    public int getChartType()

  Gets the type of the chart.

  Specified by:
    `getChartType` in class `ChartTypeInfo`
  Returns:
    type of the chart

### getStyle

    public short getStyle()

  Gets the style of the bar chart.

  Specified by:
    `getStyle` in class `ChartTypeInfo`
  Returns:
    style of the bar chart

### setStyle

    public void setStyle(short style)

  Sets the style of the bar chart.

  Parameters:
    `style` - style of the bar chart

### getMarkStyle

    public short getMarkStyle()

  Gets the style of line marks.

  Returns:
    style of line marks

### setMarkStyle

    public void setMarkStyle(short markStyle)

  Sets the style of line marks.

  Parameters:
    `markStyle` - style of line marks

### hasShadow

    public boolean hasShadow()

  Gets whether this chart has a shadow or not.

  Specified by:
    `hasShadow` in class `ChartTypeInfo`
  Returns:
    whether this chart has a shadow or not

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD